<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_16</title>
</head>
<body>
    <h1>Capitulo 16</h1>
    <a>Ejercicio 19</a>

    <script>

        const  sumar = (x,n) => {

            let sum = 0;
            for (let i = 0; i < n; i++) {
                sum += x[i];
            }
            return sum;
        }
     
        const coicidenciaPatron = (A, n, B, m) => {

            let sum1 = sumar(A, n);
            let sum2 = sumar(B, m);
            let newsum1, newsum2, val1 = 0, val2 = 0;

            for (let i = 0; i < n; i++) {
                for (let j = 0; j < m; j++) {
                    newsum1 = sum1 - A[i] + B[j];
                    newsum2 = sum2 - B[j] + A[i];

                    if (newsum1 == newsum2) {
                        val1 = A[i];
                        val2 = B[j];
                    }
                }
            }
            console.log(val1+" "+val2);
        }
     
   
        let A=[1, 1, 0, 1];
        let B=[0, 1, 0, 1 ];
        let n = A.length;        
        let m = B.length;
        
        coicidenciaPatron(A, n, B, m); 

</script>
    
</body>
</html>